Skip to content

Stored only in your browser. Get one under Tokens.

Get step revision of the the given trail.

GET
/trails/{id}/steps/{rev}

Get step revision of the the given trail.
Both user and device accounts can read the steps they own or who they are the
device of. devices can PUT progress to the /progress pseudo subnode. Besides
that steps are read only for the matter of the API

Authorizations

ApiKeyAuth
Type
API Key (header: Authorization)

Parameters

Path Parameters

id*

ID|NICK|PRN

Type
string
Required
rev*

REV_ID

Type
string
Required

Responses

OK

application/json
JSON
{
  
"commit-msg": "string",
  
"committer": "string",
  
"device": "string",
  
"garbage": true,
  
"id": "string",
  
"mark_public_processed": true,
  
"meta": {
  
  
"additionalProperties": "string"
  
},
  
"owner": "string",
  
"progress": {
  
  
"data": {
  
  
},
  
  
"downloads": {
  
  
  
"objects": [
  
  
  
  
{
  
  
  
  
  
"current_time": 0,
  
  
  
  
  
"object_id": "string",
  
  
  
  
  
"object_name": "string",
  
  
  
  
  
"start_time": 0,
  
  
  
  
  
"total_downloaded": 0,
  
  
  
  
  
"total_size": 0
  
  
  
  
}
  
  
  
],
  
  
  
"total": {
  
  
  
  
"current_time": 0,
  
  
  
  
"object_id": "string",
  
  
  
  
"object_name": "string",
  
  
  
  
"start_time": 0,
  
  
  
  
"total_downloaded": 0,
  
  
  
  
"total_size": 0
  
  
  
}
  
  
},
  
  
"logs": "string",
  
  
"progress": 0,
  
  
"retries": 0,
  
  
"status": "string",
  
  
"status-msg": "string"
  
},
  
"progress-time": "string",
  
"rev": 0,
  
"state": {
  
  
"additionalProperties": "string"
  
},
  
"state-sha": "string",
  
"step-time": "string",
  
"time-created": "string",
  
"time-modified": "string",
  
"trail-id": "string",
  
"used_objects": [
  
  
"string"
  
]
}

Playground

Authorization
Variables
Key
Value

Samples

Powered by VitePress OpenAPI